package com.jxml.quick.util.qdmlExpand;
import com.jxml.quick.model.qdml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QDML data.
 */
public class QCItem extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QDMItem dm=(QDMItem)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addStringAttribute("coin",dm.coinName);
		addStringAttribute("schema",dm.schema);
		addBooleanAttribute("optional",dm.optional);
		addBooleanAttribute("repeating",dm.repeating);
		addStringAttribute("value",dm.value);

		startElement("item");

		doCvt(dm.remList,null);
		doCvt(dm.id,null);
		
		endElement("item");
	}
}
